#!/usr/bin/ruby
=begin
 *
 * Unpublished Proprietary Source Code
 * Copyright (C) 2007 Neohapsis, Inc.
 * All rights reserved
 *
 * Unlicensed copying, use, publication, or redistribution is prohibited.
 *
 * No warranty, express or implied, is attached to this software,
 * There is NO WARRANTY OF MERCHANTABILITY or FITNESS FOR A
 * PARTICULAR PURPOSE.  You have been warned.
 *
 * minivmc.rb - miniVM Compiler
 *
 * craig@neo
=end

require 'MiniVMParser'
require 'MiniVMOptions'

puts "miniVM Compiler"
puts "(c) 2007 Neohapsis"

opt = MiniVMOptions.parse(ARGV)

code = MiniVMParser.new(opt.src)
code.verbose = opt.verbose
code.style = opt.output
code.compile()
out = File.open(opt.dst,"w")
out.write(code.dumpvm)
out.close
puts "File saved to: #{opt.dst}"
